//
//  TabDestination.swift
//  PadelClub
//
//  Created by Razmig Sarkissian on 29/02/2024.
//

import Foundation

enum TabDestination: CaseIterable, Identifiable {
    var id: Self {
        self
    }
    
    case activity
    case toolbox
    case tournamentOrganizer
    case umpire
    case ongoing
    
    var title: String {
        switch self {
        case .activity:
            return "Activité"
        case .ongoing:
            return "En cours"
        case .toolbox:
            return "Outils"
        case .tournamentOrganizer:
            return "Gestionnaire"
        case .umpire:
            return "Juge-Arbitre"
        }
    }
    
    var image: String {
        switch self {
        case .activity:
            return "calendar.day.timeline.left"
        case .ongoing:
            return "figure.tennis"
        case .toolbox:
            return "wrench.and.screwdriver"
        case .tournamentOrganizer:
            return "squares.below.rectangle"
        case .umpire:
            return "person.bust"
        }
    }
}
